commit:     3d038053c7b5414d1c5d03fbbd183c4f811a423c
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 14 13:08:55 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Aug 14 13:30:58 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d038053

dev-ruby/actionpack: add 7.1.5.2

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/actionpack/Manifest                  |  1 +
 dev-ruby/actionpack/actionpack-7.1.5.2.ebuild | 82 +++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/dev-ruby/actionpack/Manifest b/dev-ruby/actionpack/Manifest
index 4f019eb88182..f8da9e883563 100644
--- a/dev-ruby/actionpack/Manifest
+++ b/dev-ruby/actionpack/Manifest
@@ -1,6 +1,7 @@
 DIST rails-7.0.8.7.tgz 11083317 BLAKE2B 
055a4930a1076bbdab294393ea1423d043e0679bef0be262189c6e0a7825000eb32bbf8d30982a456f289d3748818d254b4482ae117798663f424bd719d452f8
 SHA512 
4a480278eea63962aba6a6e5d9c0c2f18c6af4e98a0de1bcb7a87c90ebece16bada9cebef1a88f141ebafac9741ef16c818b9fa04625ba7bb345726258a0bcd7
 DIST rails-7.1.4.2.tgz 10930504 BLAKE2B 
711cc97232e3ed54c76641fe2e50c4c0b2f97f5152be38dbdf1eb8a48b63cfb363612bf1f55fa42ed8f2fcccc3a4ecd59f5651d7afef883f54b7d19896ce0de0
 SHA512 
87f8be5be37a68943bdb53eec34a1f34d43bb39a12c82990b8e123c7bb9824be854e4dfc2f431f5c021beefc813a282132dd950cbf1a74118c3d79ad72a4a074
 DIST rails-7.1.5.1.tgz 10953261 BLAKE2B 
a2fc77cba86d2c9bd4171e7fbd280d41a0c3e9fbf2f11fecfa399bc0f378ddbf963acac4ea8f77610c22304b5424400ee5f616f46ad7e18a8a274e6522dcd00e
 SHA512 
3616569ab53fd26586682fe67501e3c72f13a91454765db5f5eb1f3c039e7d2cdef7a62f4179b37d0449fab970c5ec859a77feb307274799a48c95ca1d229307
+DIST rails-7.1.5.2.tgz 10949404 BLAKE2B 
ff1ef16139db1c9cc5a8437a4f5a57285b3af643f391cee98f33d9147537c638c6d66e15f168867ce22a21cccdfafa442e39888516b8f350c393536abbeb06aa
 SHA512 
ec91744896dd950724b6f075cc7e576032c46a3a2f8e6ab05580d9738e9860cb4c0e1645793380cb5d5ae4fe7e2a64630157b3725501d5533ed11eb25862e734
 DIST rails-7.1.5.tgz 10933914 BLAKE2B 
4af6c007b3ae0b28dff6bd603ae06e516079f95e8d9613c76e3d2c415fd8e88dec89cfa3c3ecf23079ae9fdcdfcbc1de18edaf2e576e5726dc0410e6568aa46e
 SHA512 
b25039975e52f9a6b5b5f5554f25adf29dca9d006274ff8cb05513acdae89b53aafa9b722d7332e4a7a2c50feb5b51a423453535d80ab564c03e672ec85f3185
 DIST rails-7.2.2.1.tgz 11191598 BLAKE2B 
5efb59f891ce5570984647f1941d24c9e2c4efa4281de3393d5e470f510324c63abd6cafb520da0662e0a08f64304570b5e7418211eeb44f1e11101eda0d7252
 SHA512 
7aced16f3c847ae7191b5dbb23b9f4b6c0be81404ac7d18f6cd124380f74ce48b9e4f3233cb77062970e302c486baf89e2c104b77a31b794c77ae75256868e0f
 DIST rails-7.2.2.tgz 11171772 BLAKE2B 
1b47171ea14c437b424152f6e4dbd28eeb7a302a1aca0c769405ee948d66f6cbfcc108f7a33d506111dfc1250f2a44b7b45aeb05b3e536833953814fc8523ff4
 SHA512 
6d3fbde739ceacfbd424bf94b9b9bae9e910c0e72b39e2f4c8c33b270b383b2d12022738e3f1f8a6e2c0e95a4759a99343ffe2e618ecee266e458308c14c5d39

diff --git a/dev-ruby/actionpack/actionpack-7.1.5.2.ebuild 
b/dev-ruby/actionpack/actionpack-7.1.5.2.ebuild
new file mode 100644
index 000000000000..f8dadc357783
--- /dev/null
+++ b/dev-ruby/actionpack/actionpack-7.1.5.2.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Eases web-request routing, handling, and response"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+       ~dev-ruby/actionview-${PV}
+       ~dev-ruby/activesupport-${PV}
+       >=dev-ruby/nokogiri-1.8.5
+       >=dev-ruby/rack-2.2.4
+       >=dev-ruby/rack-session-1.0.1
+       >=dev-ruby/rack-test-0.6.3:*
+       >=dev-ruby/rails-dom-testing-2.2:2
+       >=dev-ruby/rails-html-sanitizer-1.6:1
+"
+
+ruby_add_bdepend "
+       test? (
+               dev-ruby/mocha
+               dev-ruby/bundler
+               >=dev-ruby/capybara-3.26
+               ~dev-ruby/activemodel-${PV}
+               ~dev-ruby/railties-${PV}
+               >=dev-ruby/rack-cache-1.2:1.2
+               dev-ruby/selenium-webdriver:4
+               www-servers/puma
+               dev-ruby/minitest:5
+       )"
+
+all_ruby_prepare() {
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       sed -i -e 
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\)/
 s:^:#:" \
+               -e '/:job/,/end/ s:^:#:' \
+               -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+       rm ../Gemfile.lock || die
+
+       # Fix errors loading rack/session with rack 3.0 and missing OpenStruct
+       sed -e '2igem "rack-session"; require "ostruct"' \
+               -e '3igem "railties", "~> 7.1.0"; gem "activemodel", "~> 
7.1.0"' \
+               -i test/abstract_unit.rb || die
+
+       # Use different timezone notation, this changed at some point due to an 
external dependency changing.
+       sed -e 's/-0000/GMT/' \
+               -i test/dispatch/response_test.rb test/dispatch/cookies_test.rb 
test/dispatch/session/cookie_store_test.rb || die
+
+       # Avoid tests that fail with a fixed cgi.rb version
+       sed -e '/test_session_store_with_all_domains/askip "Fails with fixed 
cgi.rb"' \
+               -i test/dispatch/session/cookie_store_test.rb || die
+
+       # Avoid tests failing with rails-dom-testing 2.3 (fixed upstream)
+       sed -e 
'/test_preserves_order_when_reading_from_cache_plus_rendering/askip "Fails with 
rails-dom-testing 2.3"' \
+               -i test/controller/caching_test.rb || die
+
+       # Avoid tests requiring chrome
+       sed -e '/DrivenBySeleniumWith/,/^end/ s:^:#:' \
+               -i test/abstract_unit.rb || die
+       rm -f 
test/dispatch/system_testing/{driver,screenshot_helper,system_test_case}_test.rb
 || die
+}

Reply via email to